> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Link

> This endpoint is used to update a payment link for your customers. 



## OpenAPI

````yaml /openapi.json patch /payment-link/merchant/update-payment-link?link_id={link_id}
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /payment-link/merchant/update-payment-link?link_id={link_id}:
    patch:
      tags:
        - Payment Links
      summary: Update Payment Link
      description: 'This endpoint is used to update a payment link for your customers. '
      parameters:
        - name: link_id
          in: path
          required: true
          schema:
            type: integer
          description: The unique identifier of the payment link.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/updatePaymentLinkRequest'
            examples:
              updatepaymentlink:
                summary: Update Payment Link Request
                value:
                  payment_description: Ticket for the Annual Tech Innovators Meetup
                  has_fixed_amount: true
                  payment_amount: 400
                  country_code: USA
                  currency_code: USD
                  collect_customer_first_and_last_name: false
                  collect_customer_email: true
                  collect_customer_phone_number: true
                  redirect_url: https://example.com/success
                  fee_bearer_type: Business
                  payment_link_image: https://example.com/images/banner.png
      responses:
        '200':
          description: Update Payment Link Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - 14287ae6-0db4-477b-9cd1-b41b5e1d64fc
              examples:
                updatepaymentlinkresponse:
                  summary: Success Response
                  value:
                    status: true
                    message: Payment Link updated successfully
                    data:
                      id: 84021
                      link: https://business.payaza.africa/pay/techmeetup2027
                      has_fixed_amount: true
                      created_date: '2026-09-25T14:15:00.000000000'
                      start_date: '2026-09-25T14:15:00.500000000'
                      business_name: Acme Innovations
                      payment_description: Ticket for the Annual Tech Innovators Meetup
                      payment_link_name: TechMeetup2027
                      image_url: https://example.com/images/banner.png
                      fee_bearer: Pay by Business
                      redirect_url: https://example.com/success
                      requested_information: []
                      total_collected_amount: 0
                      number_of_usage: 0
                      is_single_use: false
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
components:
  schemas:
    updatePaymentLinkRequest:
      title: Update Payment Link Request
      type: object
      properties:
        payment_description:
          type: string
          description: A brief description of what the payment link is for.
          example: This is for support towards the Youth Conference 2024
        has_fixed_amount:
          type: boolean
          description: Indicates whether the payment link has a fixed collection amount.
          example: false
        payment_amount:
          type: number
          description: >-
            The exact amount to be charged. Expected if has_fixed_amount is set
            to true.
          example: 500
        country_code:
          type: string
          description: The 3-letter ISO country code.
          example: USA
        currency_code:
          type: string
          description: The 3-letter ISO currency code.
          example: USD
        collect_customer_first_and_last_name:
          type: boolean
          description: >-
            Indicates if the customer's full name should be collected on the
            checkout page.
          example: true
        collect_customer_email:
          type: boolean
          description: Indicates if the customer's email address should be collected.
          example: true
        collect_customer_phone_number:
          type: boolean
          description: Indicates if the customer's phone number should be collected.
          example: true
        success_message:
          type: string
          description: The message displayed to the customer after a successful payment.
          example: Thank you. God bless you
        failure_message:
          type: string
          description: The message displayed to the customer if the payment fails.
          example: Try again
        redirect_url:
          type: string
          description: The URL to redirect the customer to after a successful transaction.
          example: ''
        custom_url:
          type: string
          description: A custom vanity URL slug for the payment link.
          example: praisefest-2027
        additional_info:
          type: string
          description: Any additional information or instructions for the payment link.
          example: ''
        fee_bearer_type:
          type: string
          description: Determines who absorbs the transaction processing fees.
          enum:
            - BUSINESS
            - CUSTOMER
            - Business
            - Customer
          example: Customer
        payment_link_image:
          type: string
          format: uri
          description: A URL pointing to a logo or image displayed on the payment link.
          example: https://monosnap.com/file/29mZxp6OWo0MrhkrnGXrrG69VKK5tj
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````